be.cin.nip.async.generic

## Class RejectInb

- java.lang.Object
- - be.cin.nip.async.generic.RejectInb

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:07:47+01:00",
                 comments="JAXB RI v2.2.11")
      public class RejectInb
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CommonInput" type="{urn:be:cin:mycarenet:esb:common:v2}CommonInputType"/>
               <element name="Fault" type="{urn:be:cin:types:v1}FaultType"/>
             </sequence>
             <attribute name="msgName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RejectInb()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommonInput` | `getCommonInput()` Gets the value of the commonInput property.
    `FaultType` | `getFault()` Gets the value of the fault property.
    `String` | `getMsgName()` Gets the value of the msgName property.
    `void` | `setCommonInput(CommonInput value)` Sets the value of the commonInput property.
    `void` | `setFault(FaultType value)` Sets the value of the fault property.
    `void` | `setMsgName(String value)` Sets the value of the msgName property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RejectInb

          public RejectInb()

  - ### Method Detail

    - #### getCommonInput

          public CommonInput getCommonInput()

      Gets the value of the commonInput property.
      Returns:
        possible object is `CommonInput`

    - #### setCommonInput

          public void setCommonInput(CommonInput value)

      Sets the value of the commonInput property.
      Parameters:
        `value` - allowed object is `CommonInput`

    - #### getFault

          public FaultType getFault()

      Gets the value of the fault property.
      Returns:
        possible object is `FaultType`

    - #### setFault

          public void setFault(FaultType value)

      Sets the value of the fault property.
      Parameters:
        `value` - allowed object is `FaultType`

    - #### getMsgName

          public String getMsgName()

      Gets the value of the msgName property.
      Returns:
        possible object is `String`

    - #### setMsgName

          public void setMsgName(String value)

      Sets the value of the msgName property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.